Loading...
Searching...
No Matches
Dune::CommMatrixRow< M, I > Struct Template Reference

Utility class for comunicating the matrix entries. More...

`#include <dune/istl/matrixredistribute.hh>`

## Public Member Functions

| CommMatrixRow (M &m_, const Dune::GlobalLookupIndexSet< I > &idxset_, const I &aggidxset_)
| Constructor.
| CommMatrixRow (M &m_, const Dune::GlobalLookupIndexSet< I > &idxset_, const I &aggidxset_, std::vector< typename M::size_type > &rowsize_)
| Constructor.
void | setOverlapRowsToDirichlet ()
| Sets the non-owner rows correctly as Dirichlet boundaries.

## Public Attributes

M & | matrix
| The matrix to communicate the values of.
const Dune::GlobalLookupIndexSet< I > & | idxset
| Index set for the original matrix.
const I & | aggidxset
| Index set for the redistributed matrix.
std::vector< typename M::size_type > * | rowsize
| row size information for the receiving side.

## Detailed Description

template<class M, class I>
struct Dune::CommMatrixRow< M, I >

Utility class for comunicating the matrix entries.

Template Parameters

  M | The type of the matrix.
  I | The type of the ParallelIndexSet.

## Constructor & Destructor Documentation

## CommMatrixRow() [1/2]

template<class M, class I>

Dune::CommMatrixRow< M, I >::CommMatrixRow | ( | M & | m_,
|  | const Dune::GlobalLookupIndexSet< I > & | idxset_,
|  | const I & | aggidxset_ )

inline

Constructor.

Parameters

  m_ | The matrix to communicate the values. That is the local original matrix as the source of the communication and the redistributed at the target of the communication.
  idxset_ | The index set for the original matrix.
  aggidxset_ | The index set for the redistributed matrix.

## CommMatrixRow() [2/2]

template<class M, class I>

Dune::CommMatrixRow< M, I >::CommMatrixRow | ( | M & | m_,
|  | const Dune::GlobalLookupIndexSet< I > & | idxset_,
|  | const I & | aggidxset_,
|  | std::vector< typename M::size_type > & | rowsize_ )

inline

Constructor.

## Member Function Documentation

## setOverlapRowsToDirichlet()

template<class M, class I>

void Dune::CommMatrixRow< M, I >::setOverlapRowsToDirichlet | ( |  | ) |

inline

Sets the non-owner rows correctly as Dirichlet boundaries.

This should be called after the communication.

## Member Data Documentation

## aggidxset

template<class M, class I>

const I& Dune::CommMatrixRow< M, I >::aggidxset

Index set for the redistributed matrix.

## idxset

template<class M, class I>

const Dune::GlobalLookupIndexSet<I>& Dune::CommMatrixRow< M, I >::idxset

Index set for the original matrix.

## matrix

template<class M, class I>

M& Dune::CommMatrixRow< M, I >::matrix

The matrix to communicate the values of.

## rowsize

template<class M, class I>

std::vector<typename M::size_type>* Dune::CommMatrixRow< M, I >::rowsize

row size information for the receiving side.

The documentation for this struct was generated from the following file:

- matrixredistribute.hh